Berkeley DB version 5.3.28

## com.sleepycat.db
Class ReplicationManagerAckPolicy

    java.lang.Object
      com.sleepycat.db.ReplicationManagerAckPolicy

    public final class ReplicationManagerAckPolicy

extends Object

A class that provides definitions for the types of network ack policyto use when transmitting messages between replication sites using theReplication Manager.

Set using the `EnvironmentConfig.setReplicationManagerAckPolicy` API.

Field Summary
`static ReplicationManagerAckPolicy` `ALL` The master should wait until all replication clients have acknowledged each permanent replication message.
`static ReplicationManagerAckPolicy` `ALL_AVAILABLE` The master should wait until all currently connected replication clients have acknowledged each permanent replication message.
`static ReplicationManagerAckPolicy` `ALL_PEERS` The master should wait until all electable peers have acknowledged each permanent replication message (where "electable peer" means a client capable of being subsequently elected master of the replication group).
`static ReplicationManagerAckPolicy` `NONE` The master should not wait for any client replication message acknowledgments.
`static ReplicationManagerAckPolicy` `ONE` The master should wait until at least one client site has acknowledged each permanent replication message.
`static ReplicationManagerAckPolicy` `ONE_PEER` The master should wait until at least one electable peer has acknowledged each permanent replication message (where "electable peer" means a client capable of being subsequently elected master of the replication group).
`static ReplicationManagerAckPolicy` `QUORUM` The master should wait until it has received acknowledgements from the minimum number of electable peers sufficient to ensure that the effect of the permanent record remains durable if an election is held (where "electable peer" means a client capable of being subsequently elected master of the replication group).

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final ReplicationManagerAckPolicy ALL

  The master should wait until all replication clients have acknowledged each permanent replication message.

### ALL_AVAILABLE

    public static final ReplicationManagerAckPolicy ALL_AVAILABLE

  The master should wait until all currently connected replication clients have acknowledged each permanent replication message.

### ALL_PEERS

    public static final ReplicationManagerAckPolicy ALL_PEERS

  The master should wait until all electable peers have acknowledged each permanent replication message (where "electable peer" means a client capable of being subsequently elected master of the replication group).

### NONE

    public static final ReplicationManagerAckPolicy NONE

  The master should not wait for any client replication message acknowledgments.

### ONE

    public static final ReplicationManagerAckPolicy ONE

  The master should wait until at least one client site has acknowledged each permanent replication message.

### ONE_PEER

    public static final ReplicationManagerAckPolicy ONE_PEER

  The master should wait until at least one electable peer has acknowledged each permanent replication message (where "electable peer" means a client capable of being subsequently elected master of the replication group).

### QUORUM

    public static final ReplicationManagerAckPolicy QUORUM

  The master should wait until it has received acknowledgements from the minimum number of electable peers sufficient to ensure that the effect of the permanent record remains durable if an election is held (where "electable peer" means a client capable of being subsequently elected master of the replication group). This is the default acknowledgement policy.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.3.28

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.